<template>
  <q-item
    clickable
    tag="a"
    v-bind:to="path"
  >
    <q-item-section
      v-if="icon"
      avatar
    >
      <q-icon v-bind:name="icon" />
    </q-item-section>

    <q-item-section>
      <q-item-label>{{ title }}</q-item-label>
      <q-item-label caption>
        {{ caption }}
      </q-item-label>
    </q-item-section>
  </q-item>
</template>

<script>
export default {
  name: 'EssentialLink',
  props: {
    props: {
      type: Object,
      required: true
    },
    path: {
      type: String
    }
  },
  data () {
    return {
      title: this.props.title,
      caption: this.props.caption,
      icon: this.props.icon
    }
  }
}
</script>
